%define nspr_name	nspr
%define nss_name	nss
%define mozldap_name	mozldap

%{?perl_default_filter}

Summary: 	LDAP Perl module that wraps the OpenLDAP C SDK
Name: 		perl-Mozilla-LDAP
Version: 	1.5.3
Release: 	%mkrel 25
License: 	GPLv2+ and LGPLv2+ and MPLv1.1
Group: 		Development/Perl
URL: 		https://www.mozilla.org/directory/perldap.html
Requires: perl 	>= 2:5.8.0
BuildRequires: 	perl >= 2:5.8.0
BuildRequires: 	perl-devel
BuildRequires: 	openldap-devel >= 2.4.2
BuildRequires: 	%{nspr_name}-devel >= 4.6
BuildRequires: 	%{nss_name}-devel >= 3.11
BuildRequires: 	%{mozldap_name}-devel >= 6.0
Source0: 	ftp://ftp.mozilla.org/pub/mozilla.org/directory/perldap/releases/${version}/perl-mozldap-%{version}.tar.gz
Source1: 	ftp://ftp.mozilla.org/pub/mozilla.org/directory/perldap/releases/1.5/Makefile.PL.rpm

%description
%{summary}.

%prep
%setup -q -n perl-mozldap-%{version}
# Filter unwanted Provides:
cat << \EOF > %{name}-prov
#!/bin/sh
%{__perl_provides} $* |\
  sed -e '/perl(Mozilla::LDAP::Entry)$/d'
EOF

%define __perl_provides %{_builddir}/perl-mozldap-%{version}/%{name}-prov
chmod +x %{__perl_provides}

# Filter unwanted Requires:
cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
  sed -e '/perl(Mozilla::LDAP::Entry)/d'
EOF

%define __perl_requires %{_builddir}/perl-mozldap-%{version}/%{name}-req
chmod +x %{__perl_requires}

%build

LDAPPKGNAME=openldap CFLAGS="$RPM_OPT_FLAGS" perl %{SOURCE1} PREFIX=$RPM_BUILD_ROOT%{_prefix} INSTALLDIRS=vendor < /dev/null
%make_build OPTIMIZE="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" 
make test

%install
eval `perl '-V:installarchlib'`

%makeinstall

# remove files we don't want to package
rm -f `find $RPM_BUILD_ROOT -type f -name perllocal.pod -o -name .packlist`
find $RPM_BUILD_ROOT -name API.bs -a -size 0 -exec rm -f {} \;

# make sure shared lib is correct mode
find $RPM_BUILD_ROOT -name API.so -exec chmod 755 {} \;

# call spec-helper before creating the file list
# (spec-helper removes some files, and compress some others)
%define dont_strip 1
%{?__spec_helper_post}
%undefine dont_strip

# make sure files refer to %{_prefix} instead of buildroot/%prefix
find $RPM_BUILD_ROOT%{_prefix} -type f -print | \
	sed "s@^$RPM_BUILD_ROOT@@g" > %{name}-%{version}-%{release}-filelist
if [ "$(cat %{name}-%{version}-%{release}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit 1
fi


%files -f %{name}-%{version}-%{release}-filelist
%doc CREDITS ChangeLog README MPL-1.1.txt



%changelog
* Thu Nov 30 2023 tv <tv> 1.5.3-25.mga10
+ Revision: 2011600
- Rebuild for perl-5.38

* Tue Jan 03 2023 umeabot <umeabot> 1.5.3-24.mga9
+ Revision: 1929551
- Rebuild to use libldap-2.5 instead of 2.4

* Tue Jun 07 2022 umeabot <umeabot> 1.5.3-23.mga9
+ Revision: 1862168
- Rebuild for Perl 5.36

* Wed Mar 30 2022 umeabot <umeabot> 1.5.3-22.mga9
+ Revision: 1833568
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.5.3-21.mga9
+ Revision: 1726906
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 1.5.3-20.mga8
+ Revision: 1594932
- Rebuild for perl 5.32
+ danf <danf>
- Switch URLs from http: to https:

* Sun Feb 16 2020 umeabot <umeabot> 1.5.3-19.mga8
+ Revision: 1529852
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 1.5.3-18.mga8
+ Revision: 1433840
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.5.3-17.mga7
+ Revision: 1293526
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.5.3-16.mga7
+ Revision: 1249578
- Rebuild for perl 5.28

* Wed Aug 08 2018 pterjan <pterjan> 1.5.3-15.mga7
+ Revision: 1249250
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 1.5.3-14.mga7
+ Revision: 1165797
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.5.3-13.mga7
+ Revision: 1149857
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.5.3-12.mga7
+ Revision: 1126555
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.5.3-11.mga6
+ Revision: 1030775
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.5.3-10.mga6
+ Revision: 957776
- Mageia 6 Mass Rebuild

* Wed Jun 24 2015 sander85 <sander85> 1.5.3-9.mga6
+ Revision: 842620
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.5.3-8.mga5
+ Revision: 739872
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.5.3-7.mga5
+ Revision: 727680
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.5.3-6.mga5
+ Revision: 685607
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.5.3-5.mga5
+ Revision: 631452
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.5.3-4.mga4
+ Revision: 524902
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.5.3-3.mga4
+ Revision: 431640
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.5.3-2.mga3
+ Revision: 370403
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 14 2012 spuhler <spuhler> 1.5.3-1.mga3
+ Revision: 305582
- added BuildRequires: openldap-devel >= 2.4.2
- added BuildRequires: perl-devel
- added BuildRequires: mozldap-devel
- changed make to %%make
- imported package perl-Mozilla-LDAP

